#ifndef SCOUTERSTATS_H
#define SCOUTERSTATS_H

#include<VGUI_Panel.h>
#include<VGUI_TablePanel.h>
#include<VGUI_HeaderPanel.h>
#include<VGUI_TextGrid.h>
#include<VGUI_Label.h>

/**
* Scouter stats menu
* @version 31-1-2002
* @author Herwin 'harSens' van Welbergen
*/
class CScouterStats : public CMenuPanel
{
public:
	/**
	* Scouter stat menu
	* @param int iTrans: transparency?
	* @param int iRemoveMe:??
	* @param int x: x pos
	* @param int y: y pos
	* @param int wide: width
	* @param int tall: height
	*/
	CScouterStats(int iTrans, int iRemoveMe, int x,int y,int wide,int tall);	
	void SetNameLabel(char *name);
	void SetClassLabel(char *playerclass);
	void SetPowerlevelLabel(int powerlevel);
	void SetStatsEnt(int ent){m_iStatsEnt = ent;}
	void paint();
private:
	Label *m_pLabelName;
	Label *m_pLabelClass;
	Label *m_pLabelPowerlevel;
	CImageLabel *m_pLineImage[4];
	CImageLabel *m_pClassImage[1];
	int m_iStatsEnt;
	bool m_bIsBuddy;
	float m_flLastStats;
	float m_flPlayerStatsTime;
	
	/**
	* converts a integer number > 0 to a string, separated by ,-s
	* @param int nr: number
	* @param char *s: the string containing the new number
	*/
	void Int2String(int nr, char *s);

	void DrawPlayerStats(int x,int y);
};
#endif